cgGetPassName(3)

NAME
cgGetPassName - get a technique pass's name

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetPassName( CGpass pass );

PARAMETERS

pass
    The pass.

RETURN VALUES
Returns the NULL-terminated name string for the pass.

Returns NULL if pass is invalid.

DESCRIPTION
cgGetPassName allows the application to retrieve the name of a pass in a Cg program. This name can be used later to retrieve the pass from the program using cgGetNamedPass.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

HISTORY
cgGetPassName was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedPass manpage, the cgGetFirstPass manpage, the cgGetNextPass manpage